REPMGR(1)

NAME
repmgr - PostgreSQL replication manager

SYNOPSIS
repmgr [options] master {register}
repmgr [options] standby {register|clone|promote|follow}
repmgr [options] cluster show

DESCRIPTION
This manual page documents briefly the repmgr command.

repmgr is a command program that allows you to monitor and manage your replicated PostgreSQL as a single cluster. It performs some tasks like clone a node, promote it or making follow another node and then exits.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see README.rst file.

  General options

--help
    Show summary of options.

--version
    Show version information.

--verbose
    Output verbose activity information.

  Connection options

-d, --dbname=DBNAME
    Database to connect to.

-h, --host=HOSTNAME
    Database server host or socket directory.

-p, --port=PORT
    Database server port.

-U, --username=USERNAME
    Database user name to connect as.

  Configuration options

-D, --data-dir=DIR
    Local directory where the files will be copied to.

-l, --local-port=PORT
    Standby or witness server local port.

-f, --config_file=PATH
    Path to the configuration file.

-R, --remote-user=USERNAME
    Database server username for rsync.

-w, --wal-keep-segments=VALUE
    Minimum value for the GUC wal_keep_segments (default: 5000).

-I, --ignore-rsync-warning
    Ignore rsync partial transfer warning.

-F, --force
    Force potentially dangerous operations to happen.

COMMANDS

master register
    Registers the master in a cluster.

standby register
    Registers a standby in a cluster.

standby clone [node]
    Allows creation of a new standby.

standby promote
    Allows manual promotion of a specific standby into a new master in the event of a failover.

standby follow
    Allows the standby to re-point itself to a new master.

cluster show
    Print node information.

SEE ALSO
rsync(1), repmgrd(8).

RESOURCES
Homepage: http://www.repmgr.org

AUTHOR
repmgr was written by 2ndQuadrant Limited <info@2ndquadrant.com>.

This manual page was written by Krzysztof Gajdemski <songo@debian.org.pl>, for the Debian project (and may be used by others).